Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.borg.ui.task
Enum TaskView.Action

    java.lang.Object
      java.lang.Enum<TaskView.Action>
          net.sf.borg.ui.task.TaskView.Action

All Implemented Interfaces:
  Serializable, Comparable<TaskView.Action>

Enclosing class:
  TaskView

    public static enum TaskView.Action

extends Enum<TaskView.Action>

Actions being taken on a task when starting the editor

Enum Constant Summary
`ADD`
`CHANGE`
`CLONE`

Method Summary
`static TaskView.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskView.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final TaskView.Action ADD

### CHANGE

    public static final TaskView.Action CHANGE

### CLONE

    public static final TaskView.Action CLONE

Method Detail

### values

    public static TaskView.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskView.Action c : TaskView.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskView.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic